> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dexutils.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Token Information

> Retrieve detailed information about a token, including its metadata, contract details, social links, creation information, categories, and all-time high/low price data.

```http theme={null}
GET /tokens/{address}/info
```

### Path Parameters

<ParamField path="address" type="string" required>
  Token contract address.
</ParamField>

### **Query Parameters**

<ParamField query="chain" type="string" required>
  Blockchain network where the token is deployed.
</ParamField>

### Code Examples

<CodeGroup>
  ```bash cURL theme={null}
  # Replace with your actual API key from the DEXUtils platform
  curl "https://api.dexutils.io/tokens/0x6982508145454ce325ddbe47a25d4ec3d2311933/info?chain=ethereum" \
    -H "API-KEY: apikey"
  ```

  ```python Python theme={null}
  import requests

  # Replace with your actual API key from the DEXUtils platform
  address = "0x6982508145454ce325ddbe47a25d4ec3d2311933"
  url = f"https://api.dexutils.io/v1/tokens/{address}/info"
  headers = {"API-KEY": "apikey"}
  params = {"chain": "ethereum"}

  response = requests.get(url, headers=headers, params=params)
  res = response.json()
  ```
</CodeGroup>

***

### **Response Fields**

<ResponseField name="chain" type="string">
  Blockchain network where the token is deployed.
</ResponseField>

<ResponseField name="address" type="string">
  Token smart contract address.
</ResponseField>

<ResponseField name="name" type="string">
  Full name of the token.
</ResponseField>

<ResponseField name="symbol" type="string">
  Token ticker symbol.
</ResponseField>

<ResponseField name="decimals" type="integer">
  Number of decimal places used by the token.
</ResponseField>

<ResponseField name="logo" type="url">
  URL of the token logo image.
</ResponseField>

<ResponseField name="bio" type="string">
  Project description and overview.
</ResponseField>

<ResponseField name="creator_address" type="string">
  Wallet address that deployed the token contract.
</ResponseField>

<ResponseField name="created_block" type="integer">
  Block number where the token contract was created.
</ResponseField>

<ResponseField name="created_tx_hash" type="string">
  Transaction hash of the contract creation.
</ResponseField>

<ResponseField name="created_ts" type="integer">
  Unix timestamp when the token was created.
</ResponseField>

<ResponseField name="twitter" type="url">
  Official X (Twitter) profile URL.
</ResponseField>

<ResponseField name="website" type="url">
  Official project website URL.
</ResponseField>

<ResponseField name="telegram" type="url">
  Official Telegram community URL.
</ResponseField>

<ResponseField name="discord" type="url">
  Official Discord community URL.
</ResponseField>

<ResponseField name="tags" type="array">
  Categories and ecosystems associated with the token.
</ResponseField>

<ResponseField name="ath_price" type="float">
  All-time highest recorded token price.
</ResponseField>

<ResponseField name="ath_date" type="datetime">
  Date and time of the all-time high price.
</ResponseField>

<ResponseField name="atl_price" type="float">
  All-time lowest recorded token price.
</ResponseField>

<ResponseField name="atl_date" type="datetime">
  Date and time of the all-time low price.
</ResponseField>

### Example Response

```json Example Response theme={null}
{
    "chain": "ethereum",
    "address": "0x6982508145454ce325ddbe47a25d4ec3d2311933",
    "name": "Pepe",
    "symbol": "pepe",
    "decimals": 18,
    "logo": "https://dexutils-s3.s3.amazonaws.com/token-logos/ethereum/0x6982508145454ce325ddbe47a25d4ec3d2311933.png?AWSAccessKeyId=AKIAUQGOJNLKS23OMBHJ&Signature=JYqujAiwCMLybf3sVCZBc%2FBkICI%3D&Expires=1785721555",
    "bio": "What is the project about?\nPepe is a community based meme token surround the iconic meme Pepe the frog. Pepe aims to leverage the power of such an iconic meme to become the most memeable memecoin in existence. \n\nWhat makes your project unique?\nPepe is here to make memecoins great again. Ushering in a new paradigm for memecoins, Pepe represents the memecoin in it's purest simplicity. With zero taxes, liquidity locked forever, and contract immutable, Pepe is for the people, forever. Pepe is about culture, rallying together a community to have fun and enjoy memes, fueled purely by memetic power. \n\nHistory of your project.\nPepe was stealth launched on Friday, April 14th, 2023. \n\nWhat’s next for your project?\nPepe will focus on developing a tight-knit community around the token and building resources to enrich the communities knowledge and success in crypto through a token gated group, newsletter, and more tools. \n\nWhat can your token be used for?\nPepe can be used to speculate on the power of memes, and does not pretend to be anything more. \n",
    "creator_address": "0xfbfeaf0da0f2fde5c66df570133ae35f3eb58c9a",
    "created_block": 17046105,
    "created_tx_hash": "0x2afae7763487e60b893cb57803694810e6d3d136186a6de6719921afd7ca304a",
    "created_ts": 1681483895,
    "twitter": "https://twitter.com/pepecoineth",
    "website": "https://www.pepe.vip/",
    "telegram": "https://t.me/enterpepe",
    "discord": null,
    "tags": [
        "BNB Chain Ecosystem",
        "Avalanche Ecosystem",
        "Meme",
        "Arbitrum Ecosystem",
        "Ethereum Ecosystem",
        "Frog-Themed",
        "GMCI Meme Index",
        "GMCI Index",
        "The Boy’s Club",
        "4chan-Themed"
    ],
    "ath_price": 2.803e-05,
    "ath_date": "2024-12-09T16:30:35.828000Z",
    "atl_price": 5.5142e-08,
    "atl_date": "2023-04-18T02:14:41.591000Z"
}
```
